[pkg] include changeset that shipped with the bw-compat-breaking yams 0.39 (closes #207593)

Yams 0.39 is incompatible with cubicweb 3.17, however it includes a valuable changeset, 535e71683e7c, that will allow yams users to silence a warning on eschema.rdef(...).

authorAurelien Campeas <aurelien.campeas@logilab.fr>
changeset276decf0d002
branchdefault
phasepublic
hiddenno
parent revision#35f2511637b7 [debian] remove obsolete lenny preinst
child revision#5691f1b25435 [schema] add a .relation(role) method, #010a8f8085aa Added tag yams-version-0.38.1, yams-debian-version-0.38.1-1, yams-centos-version-0.38.1-1 for changeset 276decf0d002
files modified by this revision
__pkginfo__.py
debian/changelog
python-yams.spec
# HG changeset patch
# User Aurelien Campeas <aurelien.campeas@logilab.fr>
# Date 1391423014 -3600
# Mon Feb 03 11:23:34 2014 +0100
# Node ID 276decf0d002a4dd2288b4f07a167e120bb06d48
# Parent 35f2511637b72a30f659fab7d22f1b79b8434623
[pkg] include changeset that shipped with the bw-compat-breaking yams 0.39 (closes #207593)

Yams 0.39 is incompatible with cubicweb 3.17, however it includes a
valuable changeset, 535e71683e7c, that will allow yams users to silence
a warning on eschema.rdef(...).

diff --git a/__pkginfo__.py b/__pkginfo__.py
@@ -1,6 +1,6 @@
1 -# copyright 2004-2010 LOGILAB S.A. (Paris, FRANCE), all rights reserved.
2 +# copyright 2004-2014 LOGILAB S.A. (Paris, FRANCE), all rights reserved.
3  # contact http://www.logilab.fr/ -- mailto:contact@logilab.fr
4  #
5  # This file is part of yams.
6  #
7  # yams is free software: you can redistribute it and/or modify it under the
@@ -22,11 +22,11 @@
8 
9  # package name
10  modname = 'yams'
11 
12  # release version
13 -numversion = (0, 38, 0)
14 +numversion = (0, 38, 1)
15  version = '.'.join(str(num) for num in numversion)
16 
17  # license and copyright
18  license = 'LGPL'
19 
diff --git a/debian/changelog b/debian/changelog
@@ -1,5 +1,11 @@
20 +yams (0.38.1-1) unstable; urgency=low
21 +
22 +  * new upstream release
23 +
24 + -- Aurelien Campeas <aurelien.campeas@logilab.fr>  Thu, 30 Jan 2014 17:52:02 +0100
25 +
26  yams (0.38.0-2) unstable; urgency=low
27 
28    * fix debian/control
29 
30   -- David Douard <david.douard@logilab.fr>  Thu, 03 Oct 2013 11:28:23 +0200
diff --git a/python-yams.spec b/python-yams.spec
@@ -7,11 +7,11 @@
31  %define __python /usr/bin/python
32  %endif
33 
34  Summary:        entity / relation schema
35  Name:           %{python}-yams
36 -Version:        0.38.0
37 +Version:        0.38.1
38  Release:        logilab.1%{?dist}
39  Source0:        http://download.logilab.org/pub/yams/yams-%{version}.tar.gz
40  License:        LGPLv2+
41  Group:          Development/Languages/Python
42  BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot